microsoft-foundry.rest.security.o-auth2-auth
Deployments
Get a deployment
GET
/deployments/{name}
Retrieves a deployed model.
查詢參數
api-version
string
必要
The API version to use for this operation.
路徑參數
name
string
必要
Name of the deployment
標頭參數
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
回覆
The request has succeeded.
標題
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
主體
Content-Type: application/json
下列其中一項:
ModelDeployment
ModelDeployment
Model Deployment Definition
type
enum
必要
The type of the deployment
ModelDeployment
modelName
string
必要
Publisher-specific name of the deployed model
modelVersion
string
必要
Publisher-specific version of the deployed model
modelPublisher
string
必要
Name of the deployed model's publisher
capabilities
object
必要
Capabilities of deployed model
[key: string]
string
sku
Sku
必要
Sku information
capacity
integer
必要
Sku capacity
family
string
必要
Sku family
name
string
必要
Sku name
size
string
必要
Sku size
tier
string
必要
Sku tier
connectionName
string
Name of the connection the deployment comes from
Request
GET /deployments/{name} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json